<?php 
    // Get the contents of the JSON file 
    $define_boot            = file_get_contents(dirname(__FILE__)."../../boot/config.boot.api.json");

    // Convert to array 
    $config_bt              = json_decode($define_boot, true);

    $portal                 = $config_bt['boot']['server']['portal'];
    $domain                 = $config_bt['boot']['server']['domain'];

    $enviromentLive         = $config_bt['boot']['switch']['isProductionServerLive'];
    $is_Local_AuthOn        = $config_bt['boot']['is_Local_AuthOn'];

    $countrycode            = $config_bt['boot']['mission']['countrycode'];
    $mission                = $config_bt['boot']['mission']['city'];

    // //App BOOT Settings 
    // $app_version 		 	= $config_bt['boot']['version']['app'] ?? null;
    // $conn_version 		 	= $config_bt['boot']['version']['conn'] ?? null;
    $api_version 		 	= $config_bt['boot']['version']['api'] ?? null;
   
    $db_cpanleUserName     = $config_bt['boot']['db-cpanel-username'];
    
    $mission_db         = $mission; //  $config_bt['boot']['db']['db-cpanel-username'][$db_cpanleUserName]['location'];
    $db_scriptname      = $config_bt['boot']['db']['db-cpanel-username'][$db_cpanleUserName]['script-name'];
    $db_prefix          = $config_bt['boot']['db']['db-cpanel-username'][$db_cpanleUserName]['prefix'];
    $shared_doc_root    = $config_bt['boot']['db']['db-cpanel-username'][$db_cpanleUserName]['shared-doc-root'];
    $isProductionDB     = $enviromentLive; //$config_bt['boot']['db']['db-cpanel-username'][$db_cpanleUserName]['is-production-db'];
    
    $uri		        = $enviromentLive ? "https://www.ghanagovernmentmission.com/api/{$mission}" : "http://localhost/api/{$mission}";

    $define_timezone    = $enviromentLive? 
                            file_get_contents("/{$shared_doc_root}/var/shared/json/timezone/{$mission}.time.json") : 
                            file_get_contents(__DIR__."../../../../var/shared/json/timezone/{$mission}.time.json");

    $config_tz          = json_decode($define_timezone, true);
    $timezone           = $config_tz['timezone']['city'];

    //Define DB
    $db_live            = "{$db_prefix}_visa_{$mission_db}_live_db"; 
    $db_live_test       = "{$db_prefix}_visa_{$mission_db}_live_test_db";           
    $db_test            = "visa_{$mission_db}_db";           

    //Shared Root
	define("__SHARED_LOCAL_ROOT__", __DIR__."../../../../var/shared/json");
	define("__SHARED_LIVE_ROOT__", 	"/home/{$shared_doc_root}/var/shared/json");
	// define("__SHARED_LIVE_ROOT__", 	"/home/ggm/var/shared/json");
	define("__SHARED_ROOT__",	    $enviromentLive ? __SHARED_LIVE_ROOT__."/auth0" : __SHARED_LOCAL_ROOT__."/auth0");
	 

    // Boot Location
    define('DEFINE_BOOT',           $define_boot);
    define('CONFIG_BOOT',           $config_bt);

    //Boot Version & Transmission Status
    // define('APP_VERSION',           $app_version);
    // define('CONN_VERSION',          $conn_version);
    define('API_VERSION',           $api_version);

    define('DB_CPANEL_USER_NAME',   $db_cpanleUserName);

    //Define Location Timezone
    define('TIMEZONE', $timezone);  
    date_default_timezone_set(TIMEZONE);  

    //Defined system environment constants
    define ('LIVE',	                $enviromentLive);	
    // define ('LIVE_TEST',            $enviromentTest);

    define ('PORTAL',               $portal);	
    define ('DOMAIN',               $domain);	
    define ('SITE',                 $mission);	
    define ('PERIOD',               120);	

    define ('SHARED_DOC_ROOT',      $shared_doc_root);	
    define ('DB_LOCATION',          $mission_db);	
    define ('DB_PREFIX',            $db_prefix);	
    define ('DB_SCRIPT_NAME',       $db_scriptname);	
    define ('DB_REMOTE',            $isProductionDB);	
    define ('DB_LIVE',              $db_live);	
    define ('DB_LIVE_TEST',         $db_live_test);	
    define ('DB_TEST',              $db_test);	
    define ('ISLOCALAUTHON',        $is_Local_AuthOn);
    define ('URI',                  $uri);	